Loading...
Searching...
No Matches
BALL::FDPB::DielectricSmoothing Struct Reference

`#include <BALL/SOLVATION/poissonBoltzmann.h>`

## Static Public Attributes

static const String | NONE
static const String | UNIFORM
static const String | HARMONIC

## Detailed Description

Constants to define the dielectric smoothing methods. To increase the accuracy of a FDPB calculation it prooved advantageous to smooth the discrete values for the dielectric constant on the grid. We recommend the use of harmonic smoothing (which happens to be the default Default::dielectric_smoothing).

Definition at line 472 of file poissonBoltzmann.h.

## Member Data Documentation

## HARMONIC

const String BALL::FDPB::DielectricSmoothing::HARMONIC

static

Harmonic smoothing. This method assigns the harmonic average of the point's value and its 26 next grid neighbours to the grid point:

Definition at line 494 of file poissonBoltzmann.h.

## NONE

const String BALL::FDPB::DielectricSmoothing::NONE

static

Do not perform any smoothing

Definition at line 476 of file poissonBoltzmann.h.

## UNIFORM

const String BALL::FDPB::DielectricSmoothing::UNIFORM

static

Uniform smoothing. This method assigns the arithmetic average of the point's value and its 26 next grid neighbours to the grid point:

Definition at line 485 of file poissonBoltzmann.h.